Bug 186038 - Crash Pasting text in OpenOffice.org writer
Crash Pasting text in OpenOffice.org writer
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-03-21 03:28 EST by David Fraser
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-10 06:41:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backtrace mapped back to source code lines and methods (5.75 KB, application/octet-stream)
2006-04-10 06:35 EDT, Caolan McNamara
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 59523 None None None Never
OpenOffice.org 64200 None None None Never

  None (edit)
Description David Fraser 2006-03-21 03:28:07 EST
Cut text in OOo writer
Adjusted another paragraph
Autoformatting added unwanted numbering, undid
Pasted cut text - crash

Crash details follow:
Video Driver is probably nv vesa
DESKTOP_SESSION is set to gnome
libgcj version is libgcj-4.0.2-8.fc4
OpenOffice.org core rpm version is openoffice.org-core-
0xe04007: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e007
0xe047cc: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7cc
0x5e4420:  + 0x420 (__kernel_sigreturn + 0x0)
0x23b739c: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x3b739c
0x23b82d7: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x3b82d7
0x224796a: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x24796a
0x2248960: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x248960
0x222c263: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x22c263
0x222034e: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x22034e
0x23a1cad: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x3a1cad
0x23a2c99: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x3a2c99
0x21e0c6f: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x1e0c6f
(SwFEShell::Paste(SwDoc*, unsigned char) + 0x891)
0x25fd9d7: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x5fd9d7
0x2605416: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x605416
0x2605fac: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x605fac
0x263ca21: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x63ca21
0x263cc9c: /usr/lib/openoffice.org2.0/program/libsw680li.so + 0x63cc9c
0x6fa9ff4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b0ff4
0x6fa93e1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b03e1
0x6fa98d2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b08d2
(SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short)
+ 0x138)
0x6fb234d: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1b934d
0x6fa12e1: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a82e1
0x6fa16ef: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a86ef
0x68ff0f2: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0xe70f2
0x68ff1b4: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0xe71b4
0x9fbe72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e72
0xb99e9a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x220e9a
0xb99e80: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x220e80
0x9fbe72: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82e72
0xb55485: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1dc485
0x5d85ed0: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1eed0
0x5dac12b: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4512b
(SalDisplay::DispatchInternalEvent() + 0xad)
0x279e1f: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1ae1f
0xfbd604: /usr/lib/libglib-2.0.so.0 + 0x26604
0xfbb3b0: /usr/lib/libglib-2.0.so.0 + 0x243b0 (g_main_context_dispatch + 0x1dc)
0xfbe3a6: /usr/lib/libglib-2.0.so.0 + 0x273a6
0xfbe82e: /usr/lib/libglib-2.0.so.0 + 0x2782e (g_main_context_iteration + 0x62)
0x279a51: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1aa51
0x5dad33d: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x4633d
(X11SalInstance::Yield(unsigned char) + 0x29)
0xa021ba: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891ba
(Application::Yield() + 0x50)
0xa021f8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x891f8
(Application::Execute() + 0x26)
0x7bc8015: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x29015
(desktop::Desktop::Main() + 0x15df)
0xa07769: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e769
0xa07819: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e819 (SVMain()
+ 0x29)
0x7bbfa37: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a37 (sal_main
+ 0x57)
0x7bbfa83: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a83 (main + 0x27)
0x125d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/swriter.bin + 0x4e1
Comment 1 David Fraser 2006-03-21 03:37:44 EST
Couldn't reproduce trying to repeat the same actions, so not predictable...
Comment 2 Caolan McNamara 2006-03-21 03:44:32 EST
Quite tricky if not reproducable. Though clearly the crash in is the paste handler.
Comment 3 Caolan McNamara 2006-04-03 06:54:29 EDT
I don't suppose you managed to figure out a reprodable route for this ?
Comment 4 David Fraser 2006-04-05 05:58:55 EDT
No I haven't, you're welcome to close if neccessary ... just thought it would be
worthwhile to log
Comment 5 Caolan McNamara 2006-04-10 06:35:22 EDT
Created attachment 127541 [details]
backtrace mapped back to source code lines and methods

Note You need to log in before you can comment on or make changes to this bug.